Event onUserAdd
Choose a tool for developing with an AI agent:
- use Alaio Vibecode to build an app for Bitrix24 from a task description without knowing any programming language. The agent writes the code and deploys the app to a server, with no manual hosting setup
- use the MCP server to develop a REST API integration in your own project. The agent refers to the official REST documentation
Scope:
userWho can subscribe: any user
The ONUSERADD event is triggered when a user is added to Bitrix24. The event occurs not after the invitation, but after the user logs into Bitrix24 and completes the registration.
Events will not be sent to the application until the installation is complete. Check the application installation
What the Handler Receives
Data is transmitted as a POST request
{
"event": "ONUSERADD",
"data": {
"ID": 123,
"ACTIVE": "Y",
"EMAIL": "user@example.com",
"NAME": "Klaus",
"LAST_NAME": "Weber",
"PERSONAL_GENDER": "M",
"PERSONAL_BIRTHDAY": "1990-01-01",
"UF_DEPARTMENT": [1, 2],
"DATE_REGISTER": "2024-04-05T10:00:00+03:00",
"WORK_POSITION": "Developer",
"UF_EMPLOYMENT_DATE": "2024-04-05"
},
"ts": "1466439714",
"auth": {
"access_token": "s6p6eclrvim6da22ft9ch94ekreb52lv",
"expires_in": 3600,
"scope": "user",
"domain": "some-domain.bitrix24.com",
"server_endpoint": "https://oauth.bitrix.info/rest/",
"status": "F",
"client_endpoint": "https://some-domain.bitrix24.com/rest/",
"member_id": "a223c6b3710f85df22e9377d6c4f7553",
"application_token": "51856fefc120afa4b628cc82d3935cce"
}
}
Request Parameters
Required parameters are marked with *
|
Name |
Description |
|
event* |
Event character code — |
|
data* |
Data of the added user. The structure is described below |
|
ts* |
Date and time of event sending |
|
auth* |
Authorization and account data. The structure is described below |
Parameter data
|
Name |
Description |
|
ID* |
User identifier |
|
ACTIVE* |
Active flag. Possible values:
|
|
EMAIL |
User's email |
|
NAME |
User's first name |
|
LAST_NAME |
User's last name |
|
PERSONAL_GENDER |
Gender: |
|
PERSONAL_BIRTHDAY |
Date of birth in |
|
Array of department |
|
|
DATE_REGISTER* |
Registration date in |
|
WORK_POSITION |
Position of the user |
|
UF_EMPLOYMENT_DATE |
Employment date in |
Some fields may be absent or have a value of null if the application does not have access to them.
Parameter auth
|
Name |
Description |
|
access_token* |
Token for accessing the API |
|
expires_in* |
Time in seconds until the token expires |
|
scope* |
Scope under which the event occurred |
|
domain* |
Address of Bitrix24 where the event occurred |
|
server_endpoint* |
Address of the Bitrix24 authorization server, necessary for updating OAuth 2.0 tokens |
|
status* |
Status of the application subscribed to this event:
|
|
client_endpoint* |
Common path for API method calls for Bitrix24 where the event occurred |
|
member_id* |
Identifier of Bitrix24 where the event occurred |
|
application_token* |
Token for secure event handling |
Continue Learning
- Events: Overview of Methods and Events
- Register a New Event Handler event.bind
- Event After Successful Application Installation OnAppInstall
- Event on Application Payment onAppPayment
- Event on Receiving Permission for Using onAppMethodConfirm Methods
- Event on Application Uninstallation: onAppUninstall